OAuth2 authorization endpoint

OAuth2 Authorization Endpoint (Authorization Code Flow)

Query Parameters
  • response_type
    enum
    const:  
    code
    required

    Must be 'code' for authorization code flow

    values
    • code
  • client_id
    Type: string
    required

    OAuth2 client ID

  • redirect_uri
    Type: string
    required

    Registered redirect URI

  • state
    Type: string

    Optional state parameter for CSRF protection

  • scope
    Type: string

    Optional space-separated scopes

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/auth/oauth/authorize
curl 'https://test.boost.space/api/auth/oauth/authorize?response_type=code&client_id=&redirect_uri=' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
No Body